<template>
  <section class="aboutPage">
    <button
      v-show="contentVisibleMobile"
      @click="toggleContent"
      class="buttonBackward">
      <img
        svg-inline
        src="~/assets/svg/redesign/breadcrumb-divider.svg">
      О проекте
    </button>

    <header
      v-show="!contentVisibleMobile || !isMobile()"
      class="aboutPage-header">
      <div class="aboutPage-breadcrumbs">
        <AppBreadcrumbs :breadcrumbs="breadcrumbs"/>
      </div>
      <div class="aboutPagePage-title">
        <h1 class="heading _h1">О проекте</h1>
      </div>
    </header>

    <div class="aboutPage-wrapper">
      <div
        class="aboutPage-navigation"
        v-show="!contentVisibleMobile || !isMobile()">
        <ul class="menuAbout">
          <li
            v-for="(item, key) in listTabs"
            :key="`${key}`">
            <flink
              :href="`/about-us/${item.name}`"
              @click.native="currPageSelect(item.name)"
              active-class="-active"
              class="menuAbout-control">
              {{ item.navTitle }}
            </flink>
          </li>
        </ul>
      </div>
      <div
        class="aboutPage-content"
        v-show="contentVisibleMobile || !isMobile()">
        <slot name="content"/>
      </div>
    </div>
  </section>
</template>

<script>
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';
import isMobileMixin from '~/assets/js/mixins/is-mobile';

export default {
  name: 'AppAboutPage',
  components: {
    AppBreadcrumbs,
  },
  mixins: [isMobileMixin],
  props: {
    breadcrumbs: {
      type: Array,
      default() { return []; },
    },
    currentPage: {
      type: String,
      default: '',
    },
    listTabs: {
      type: Array,
      default: () => [
        { name: 'about-us', navTitle: 'О нас' },
        { name: 'safe-purchase', navTitle: 'Безопасность дистанционных покупок на портале' },
        { name: 'regulations', navTitle: 'Правила пользования порталом' },
        { name: 'license', navTitle: 'Лицензия на использование портала' },
        { name: 'offer', navTitle: 'Условия публичной оферты сервисов проверки авто и запроса по VIN' },
        { name: 'for-providers', navTitle: 'Условия публичной оферты для Поставщиков (Продавцов)' },
        { name: 'concierge', navTitle: 'Условия публичной оферты для сервиса Консьерж' },
        { name: 'agreement', navTitle: 'Соглашение на обработку персональных данных' },
        { name: 'prohibited', navTitle: 'Перечень запрещенных товаров' },
        { name: 'requisites', navTitle: 'Реквизиты' },
        { name: 'contacts', navTitle: 'Контакты' },
      ],
    },
  },
  data() {
    return {
      contentVisibleMobile: true,
    };
  },
  methods: {
    currPageSelect(name) {
      this.currentPage === name && this.$emit('updateContentVisible');
      this.contentVisibleMobile = true;
    },
    toggleContent() {
      this.contentVisibleMobile = false;
    },
  },
};
</script>

<style lang="postcss">
  @import "~/assets/css/components/about-text.css";

  .aboutPage {
    display: flex;
    flex-direction: column;
    padding: 0 3.25rem;
    min-width: 320px;
    max-width: 1366px;
    margin: 0 auto;
    background-color: var(--bg-main);

    &-breadcrumbs {
      padding-top: 1rem;
      padding-bottom: 1rem;
    }

    &-header {
      padding-bottom: 1.5rem;
    }

    &-wrapper {
      display: flex;
      justify-content: space-between;
    }

    &-navigation {
      flex-shrink: 0;
      display: block;
      padding-bottom: 4rem;
      width: 18.75rem;
    }

    &-content {
      display: block;
      width: 100%;
      padding: 0 4rem 4rem;
    }

    .menuAbout {
      display: block;
      width: 100%;
      font-size: 0.875rem;
      border: 1px solid var(--border-color-main);
      &-control {
        display: block;
        padding: 1rem;
        color: inherit;
        border-bottom: 1px solid var(--border-color-main);

        &.-active {
          color: #fff;
          background-color: var(--bg-blue);
        }
      }
    }

    .buttonBackward {
      display: inline-flex;
      align-items: center;
      padding: 0 1.25rem;
      height: 3.375rem;
      font-style: normal;
      font-weight: var(--font-weight-regular);
      font-size: 1rem;
      color: var(--color-main-lightest);
      border: none;
      background: none;
      outline: none;

      .svg {
        margin-right: .625rem;
        width: .375rem;
        height: auto;
        transform: rotate(180deg);
        fill: var(--color-main-lightest);
      }
    }

    @media screen and (min-width: 981px) {
      .buttonBackward {
        display: none;
      }
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      &-navigation {
        width: 17.25rem;
      }

      &-content {
        padding: 0 0 4rem 1.5rem;
      }

      .menuAbout {
        &-control {
          padding: 1rem 0.75rem;
        }
      }
    }

    @media screen and (max-width: 980px) {
      padding-left: 0;
      padding-right: 0;

      &-header {
        padding: 0 1.25rem 1.5rem;
      }

      &-navigation {
        padding: 0 1.25rem 4rem;
        width: 100%;
      }

      &-content {
        padding: 0.5rem 1.25rem 4rem;
      }
    }
  }

</style>
